# Visualization
TKService
WNT

# WNT_TextAttribNote Struct Reference

`#include <W32_Allocator.hxx>`

Inheritance diagram for WNT_TextAttribNote:

[legend]

## Public Member Functions

| WNT_TextAttribNote (HFONT, COLORREF, double=0.0, double=1.0, double=1.0, BOOL=FALSE, BOOL=FALSE, BOOL=FALSE)
virtual | ~WNT_TextAttribNote ()
virtual void | Play (BOOL=TRUE)

## Data Fields

COLORREF | myColor
HPEN | myPen
HBRUSH | myBrush
HFONT | myFont
BOOL | myfFree
DWORD | myFlags
double | mySlant
double | myHScale
double | myVScale

## Constructor & Destructor Documentation

WNT_TextAttribNote::WNT_TextAttribNote | ( | HFONT | ,
|  | COLORREF | ,
|  | double | = `0.0`,
|  | double | = `1.0`,
|  | double | = `1.0`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) |

virtual WNT_TextAttribNote::~WNT_TextAttribNote | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void WNT_TextAttribNote::Play | ( | BOOL | = `TRUE` | ) | `[virtual]`

| Implements W32_Note.

## Field Documentation

HBRUSH WNT_TextAttribNote::myBrush

COLORREF WNT_TextAttribNote::myColor

BOOL WNT_TextAttribNote::myfFree

DWORD WNT_TextAttribNote::myFlags

HFONT WNT_TextAttribNote::myFont

double WNT_TextAttribNote::myHScale

HPEN WNT_TextAttribNote::myPen

double WNT_TextAttribNote::mySlant

double WNT_TextAttribNote::myVScale

The documentation for this struct was generated from the following file:

- W32_Allocator.hxx